From 7005187f58a2a8b0300eceaa8fae8f825d5525a9 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 12 Jul 2022 17:18:23 +0200
Subject: [PATCH] Fix flag tests in src/test/modules/test_oat_hooks

In what must have been a copy'n paste mistake, all the flag tests use
the same flag rather than a different flag each.  The bug is not
suprising, considering that it's dead code.
---
 src/test/modules/test_oat_hooks/test_oat_hooks.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/test/modules/test_oat_hooks/test_oat_hooks.c b/src/test/modules/test_oat_hooks/test_oat_hooks.c
index 1f40d632e0..900d597f5d 100644
--- a/src/test/modules/test_oat_hooks/test_oat_hooks.c
+++ b/src/test/modules/test_oat_hooks/test_oat_hooks.c
@@ -1795,15 +1795,15 @@ accesstype_arg_to_string(ObjectAccessType access, void *arg)
 				return psprintf("%s%s%s%s%s%s",
 								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
 								 ? "internal action," : ""),
-								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
+								((drop_arg->dropflags & PERFORM_DELETION_CONCURRENTLY)
 								 ? "concurrent drop," : ""),
-								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
+								((drop_arg->dropflags & PERFORM_DELETION_QUIETLY)
 								 ? "suppress notices," : ""),
-								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
+								((drop_arg->dropflags & PERFORM_DELETION_SKIP_ORIGINAL)
 								 ? "keep original object," : ""),
-								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
+								((drop_arg->dropflags & PERFORM_DELETION_SKIP_EXTENSIONS)
 								 ? "keep extensions," : ""),
-								((drop_arg->dropflags & PERFORM_DELETION_INTERNAL)
+								((drop_arg->dropflags & PERFORM_DELETION_CONCURRENT_LOCK)
 								 ? "normal concurrent drop," : ""));
 			}
 			break;
-- 
2.30.2

